Subject: Re: bug#66261: Disassembling a regexp's bytecode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2023 19:24:39 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 29 Sep 2023 11:47:50 -0400
> 
> >> - First, in order to easily use the same code between REGEX_EMACS_DEBUG
> >>   and my new `re--describe-compiled`, I need to print sometimes to
> >>   `stderr` and sometimes to a string, which I do using `open_memstream`.
> >>   AFAIK `open_memstream` is not directly available in Windows (and
> >>   maybe under some other Unixes either, tho it's in POSIX-2008, IIUC).
> >>   Could someone help me get an `opem_memstream` emulation working
> >>   (maybe via gnulib)?
> > Gnulib doesn't have such an emulation, AFAICT.
> > Why cannot you fall back to temporary files when open_memstream is not
> > available?
> 
> Doesn't seem worth the trouble (and I must admit that the idea of using
> a temp file hurts my sense of aesthetics, on top of it 😀.  Tho, it'd be
> OK if it were done for me by gnulib).

Then just let it write to stderr, it's okay to do that in
ENABLE_CHECKING code.